"""XUL object that is stored in a file"""

__version__='$Revision: 1.1 $'[11:-2]

from Globals import package_home
from App.ImageFile import ImageFile
import os


class BaseFile(ImageFile):
    """BaseFile objects stored in external files."""

    content_type='text/XUL'

    def __init__(self, name, path, _prefix=None):
        home_path=package_home(globals())
        path=os.path.join(home_path, path)
        ImageFile.__init__(self, path, _prefix)
        self.__name__=name
        self.content_type=self.__class__.content_type


    def __len__(self):
        # This is bogus and needed because of the way Python tests truth.
        return 1

    def __str__(self):
        raise "NotImplemented"