# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyCore/EasyNavigationConf.py,v 1.1 2004/06/28 10:04:10 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__='''EasyNavigation product: EasyNavigation Configuration and Constants.'''
__version__='1.5.17'



# EASYEDITABLEMETATYPES this should be relpaced by a registration procedure to be able to
# extend EasyPublisher with new Navigatable object types.


NAVIGATION_CATALOG_ID = 'EasyNavigation'
EASYEDITABLEMETATYPES = ('EasyDocument','EasyRoot','EasyContactForm','EasyNewsItem')
FILTERDEFAULT = ('EasyDocument','EasyRoot','EasyImage','EasyFile','EasyContactForm','EasyNewsItem','EasyFolder')
