# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyEditor/Storage/__init__.py,v 1.1 2004/06/28 10:05:42 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#


__doc__="""Storage Module
$Id: __init__.py,v 1.1 2004/06/28 10:05:42 johanc Exp $"""
__version__="$Revision: 1.1 $"[11:-2]



include_modules = ()
import DTMLStorage, PropertyStorage
include_modules = include_modules + (DTMLStorage, PropertyStorage,)

import StringPropertyStorages
include_modules = include_modules + (StringPropertyStorages,)

import NumberPropertyStorages
include_modules = include_modules + (NumberPropertyStorages,)

import ListTypeStorages
include_modules = include_modules + (ListTypeStorages,)

import SelectionPropertyStorage
include_modules = include_modules + (SelectionPropertyStorage,)

import MultiSelectionPropertyStorage
include_modules = include_modules + (MultiSelectionPropertyStorage,)

import DatePropertyStorage
include_modules = include_modules + (DatePropertyStorage,)


#Uncomment these to try out ZBabelObjectStorage
#try:
#    import ZBabelObjectStorage
#    include_modules = include_modules + (ZBabelObjectStorage,)
#except: pass

def initialize(context):
    """Initialize the Storage product."""

    for m in include_modules:
            m.initialize(context)

