# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyNavigation/__init__.py,v 1.1 2004/06/28 10:05:46 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__ = """EasyNavigation initialization module."""
__version__='$Revision: 1.1 $'[11:-2]



import EasyNavigation, EasyNamedMenu
from App.ImageFile import ImageFile


def initialize(context):

    try:
        """Try to register the product."""

        for m in (EasyNavigation,EasyNamedMenu):
            m.initialize(context)

    except:
        """Stupid englishperson! I fart in your general direction!"""

        import sys, traceback, string
        type, val, tb = sys.exc_info()
        from zLOG import LOG, WARNING
        LOG('EasyNavigation', WARNING, 'EasyNavigation', string.join(traceback.format_exception(type, val, tb), '') + '\n')
        del type, val, tb


misc_={
    '0011': ImageFile('icons/0011.gif',   globals()),
    '0101': ImageFile('icons/0101.gif',   globals()),
    '0110': ImageFile('icons/0110.gif',   globals()),
    '0111': ImageFile('icons/0111.gif',   globals()),
    '1001': ImageFile('icons/1001.gif',   globals()),
    '1011': ImageFile('icons/1011.gif',   globals()),
    '1101': ImageFile('icons/1101.gif',   globals()),
    '1111': ImageFile('icons/1111.gif',   globals()),
    'm001': ImageFile('icons/m001.gif',   globals()),
    'm010': ImageFile('icons/m010.gif',   globals()),
    'm011': ImageFile('icons/m011.gif',   globals()),
    'm100': ImageFile('icons/m100.gif',   globals()),
    'm101': ImageFile('icons/m101.gif',   globals()),
    'm110': ImageFile('icons/m110.gif',   globals()),
    'm111': ImageFile('icons/m111.gif',   globals()),
    'p001': ImageFile('icons/p001.gif',   globals()),
    'p010': ImageFile('icons/p010.gif',   globals()),
    'p011': ImageFile('icons/p011.gif',   globals()),
    'p100': ImageFile('icons/p100.gif',   globals()),
    'p101': ImageFile('icons/p101.gif',   globals()),
    'p110': ImageFile('icons/p110.gif',   globals()),
    'p111': ImageFile('icons/p111.gif',   globals()),

    }




