# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasySecurity/EasyMemberDataTool.py,v 1.1 2004/06/28 10:05:48 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__ = """EasyNavigation initialization module."""
__version__ = '0.1'


import Globals
from Globals import DTMLFile

from AccessControl import ClassSecurityInfo
from Products.CMFCore.MemberDataTool import MemberDataTool
from Products.ZCatalog import ZCatalog

from Products.EasyCore import MLOG_TAB


class EasyMemberDataTool(MemberDataTool):
    """\
    EasyMembershipService.
    """
    meta_type = "EasyMemberDataTool"

    security = ClassSecurityInfo()


manage_addEasyMemberDataToolForm=DTMLFile('dtml/manage_addEasyMemberDataToolForm', globals())

def manage_addEasyMemberDataTool(self, id, REQUEST=None):
    pass


def initialize(context):
    """Initialize Products"""

    context.registerClass(
        EasyMemberDataTool,
        permission=EasyCorePermissions.EasyUserFolderServiceAdd,
        icon='icons/EasyMemberDataTool.gif',
        constructors=(manage_addEasyMemberDataToolForm, manage_addEasyMemberDataTool),
        meta_type = EasyMemberDataTool.meta_type
    )

