# This script converts old MailBoxer-Archives
# Copy your old archive to a folder with id = 'archiveOld' into the 
# new MailBoxer and run this script to create the new Archive

start = context.archiveOld

for (path,mail) in context.ZopeFind(start,obj_metatypes=['Folder'],obj_expr="hasProperty('mailDate')",search_sub=1):

   Mail="Subject: %s\nDate: %s\nFrom: %s\n\n%s\n" % (mail['mailSubject'], mail['mailDate'], mail['mailFrom'], mail['mailBody'])

   newMail = container.manage_addMail(Mail)

   ids = mail.objectIds(['File'])
   if ids:
      clip = mail.manage_copyObjects(ids)
      newMail.manage_pasteObjects(cb_copy_data=clip)
