# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/ObjectRepository/__init__.py,v 1.1 2004/06/28 10:07:06 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

__doc__ = """ObjectRepository"""
__version__='$Revision: 1.1 $'[11:-2]

import os
if os.environ.get("EASY_OBJECT_REPOSITORY",0):
    import PatchPluginIndex

    import ObjectRepository, ObjectDatabase
    include_modules = (ObjectRepository, ObjectDatabase)




    def initialize(context):
        """\
        Initialize the ObjectRepository product.
        """
        for m in include_modules:
                m.initialize(context)
