from OFS.Folder import Folder

class TransparencySupport:
    ''' '''

    _is_transparent = 0

    _properties = ({'id':'_is_transparent', 'type': 'boolean', 'mode': 'w'},)

    
    old_updateProperty = Folder.inheritedAttribute('_updateProperty')
    def _updateProperty(self, id, value):
        ''' '''
        self.old_updateProperty(id, value)

        parent = self.aq_parent
        if id == '_is_transparent':
            if self._is_transparent:
                try:
                    if self.getId() not in parent._transparent_object_ids:
                        parent._transparent_object_ids = tuple(parent._transparent_object_ids) + (self.getId(),)
                except:
                    pass

            elif hasattr(parent, '_transparent_object_ids'):
                try:
                    parent._transparent_object_ids = filter(
                        lambda id, name=self.getId(): id != name,
                        parent._transparent_object_ids)
                except:
                    pass
                
