# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyApplication/EasyApplicationView.py,v 1.1 2004/06/28 10:04:07 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

__doc__='''EasyObject'''
__version__='$Revision: 1.1 $'[11:-2]

import Globals, Products, DateTime

from Globals import DTMLFile
from urllib import quote
from AccessControl import ClassSecurityInfo
from AccessControl import getSecurityManager, Unauthorized
from OFS.Folder import Folder
from OFS.ObjectManager import IFAwareObjectManager

from Products.EasyCore.BodyTabs import InitializeBodyTabs, UpdateTab, BodyTabs
from Products.EasyApplication.EasySecurityConf import EasyApplicationAdd, EasyApplicationClassManage
from Products.EasyApplication.EasySecurityConf import EasyApplicationObjectView

from Products.EasyApplication.interfaces.EasyAppication import EasyViewManager, EasyPluggableView


class EasyViewManager:


    __implements__ = (EasyViewManager,)
    meta_type='EasyViewManager'


    def viewIds(self):
        return ()

    def viewValues(self):
        return ()

    def viewItems(self):
        return ()

    def addView(self):
        return None

    def removeView(self):
        return None

    def getViewByName(self, id):
        return None


class EasyApplicationView(IFAwareObjectManager, Folder):

    __implements__ = (EasyPluggableView,)
    meta_type='EasyApplicationView'


    _product_meta_types = ()
    _product_interfaces = ()




Globals.InitializeClass(EasyApplicationView)
#InitializeBodyTabs(EasyApplicationView)


#manage_addEasyApplicationViewForm = DTMLFile('dtml/manage_addEasyApplicationViewForm', globals())
#
#def manage_addEasyApplicationView(self, id, title='', REQUEST=None):
#    """Add a EasyApplication object"""
#    if title == '': title = id
#    id=Tutils.xlate2url(id)
#    ob=EasyApplication(id, title)
#    self._setObject(id, ob)
#    ob=self._getOb(id)
#
#    if REQUEST is not None:
#        return self.manage_main(self, REQUEST, update_menu=1)
#
#
#def initialize(context):
#    """Initialize StyleManagers Product"""
#
#    context.registerClass(
#        EasyApplicationView,
#        permission=EasyApplicationClassManage,
#        icon='icons/EasyApplicationView.gif',
#        constructors = ( manage_addEasyApplicationViewForm, manage_addEasyApplicationView ),
#        meta_type = EasyApplicationView.meta_type,
#        interfaces=(EasyPluggableView,),
#        visibility = None,
#    )




