#!/usr/local/bin/python

# seed list with first two primes

start = 4
max = 100

# print out intial 2 and 3
#for p in primes:
#    print "",p

# range of numbers searching for primes
def generate_primes(start=start, max=max, max_number=0):
    primes = [2,3]
    for num in range(start, max):
        #intialize not-a-prime as false
        nap = 0

        # cycle through list of known primes
        for prime in primes:
            # check if a previous prime divides evenly
            # into the current number -- if so the number
            # we are checking (num) is not a prime
            if (num % prime) == 0:
                nap = 1
                break
            # if prime squared is bigger than the number
            # than we don't need to check any more
            if prime*prime > num:
               break

        # did we determine it's not a prime
        # if not, then we found a prime
        if nap != 1:
            # add prime to list of known primes
            primes.append(num)
        if max_number and len(primes)>=max_number:
            return primes
    return primes



