# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyMailService/__init__.py,v 1.1 2004/06/28 10:05:45 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__ = """EasyMailService initialization module."""
__version__='$Revision: 1.1 $'[11:-2]

from zLOG import LOG, INFO

import EasyMailService


def initialize(context):

    try:
        """Try to register the product."""

        for m in (EasyMailService,):
            m.initialize(context)


    except:
        """Stupid englishperson! I fart in your general direction!"""

        import sys, traceback, string
        type, val, tb = sys.exc_info()
        LOG('EasyMailService', INFO, 'EasyMailService', string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb

