# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyWorkflow/__init__.py,v 1.1 2004/06/28 10:05:50 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__ = """EasyWorkflow initialization module."""
__version__='$Revision: 1.1 $'[11:-2]

from ImageFile import ImageFile

import EasySyncSecurity

import EasyWorkflow,EasyWorkflowManager
modules = (EasyWorkflow,EasyWorkflowManager)


import os

import EasySync, EasyMasterSlaveCopy
modules = modules + (EasySync,EasyMasterSlaveCopy,)


def initialize(context):
    for m in modules:
        m.initialize(context)

    context.registerHelp()


misc_={
    'EasyWorkflow_Denied':              ImageFile('icons/denied.gif',   globals()),
    'EasyWorkflow_Draft':               ImageFile('icons/draft.gif',   globals()),
    'EasyWorkflow_Reviewed':            ImageFile('icons/reviewed.gif',   globals()),
    'EasyWorkflow_Submitted':           ImageFile('icons/submitted.gif',   globals()),

    'lock_by_workflow_icon':           ImageFile('icons/lock_by_workflow_icon.gif',   globals()),

    'EasyWorkflow_Published':           ImageFile('icons/published.gif',   globals()),
    'EasyWorkflow_Archived':            ImageFile('icons/archived.gif',   globals()),
    'EasyWorkflow_UnPublished':         ImageFile('icons/unpublished.gif',   globals()),

    'CopyHere':                         ImageFile('icons/CopyHere.gif',   globals()),
    'EasyMasterCopy':                   ImageFile('icons/EasyMasterCopy.gif',   globals()),
    'EasySlaveCopy':                    ImageFile('icons/EasySlaveCopy.gif',   globals()),
    'NotTranslated':                    ImageFile('icons/NotTranslated.gif',   globals()),
    'Translated':                       ImageFile('icons/Translated.gif',   globals()),

}

