from ZPublisher import Converters
from cgi import escape
from DateTime import DateTime

def fixedfield2date(v):
    """\
    Accepts empty strings (pass throw, no convertion).
    In Easy Publisher a NullDate is an empty string (not None)
    """
    v = Converters.field2string(v)
    if v=='':
       return v
    try:
        v = DateTime(v)
    except DateTime.SyntaxError, e:
        raise DateTime.SyntaxError, escape(e)
    return v


Converters.field2date = fixedfield2date
Converters.type_converters['date'] = fixedfield2date

oldfield2lines=Converters.field2lines

def fixedfield2lines(v):
    """\
    Removed the last line if it's an empty string.
    """
    lines = oldfield2lines(v)
    if lines[-1] == '':
        del lines[-1]
    return lines

def fixedfield2lines_brut(v):
    """\
    Removed all empty strings.
    """
    return filter(None, oldfield2lines(v))

Converters.field2lines = fixedfield2lines_brut
Converters.type_converters['lines'] = fixedfield2lines_brut

from zLOG import LOG, INFO, BLATHER

#LOG('ZMIPatch', BLATHER, 'ZMI Patch:ZPublisher.Converters.field2date', """Hotfixing: ZPublisher.Converters.field2date, Johan Carlsson, 2001-10-15, version Easy Publisher 1.8\n""")
#LOG('ZMIPatch', BLATHER, 'ZMI Patch:ZPublisher.Converters.field2lines', """Hotfixing: ZPublisher.Converters.field2lines, Johan Carlsson, 2001-10-15, version Easy Publisher 1.8\n""")